<?php
/**
 * Class Preloader Template
 *
 * @package Wira
 * @since 1.0.0
 */

namespace Wira\Templates;

if ( ! class_exists( 'Preloader' ) ) {

	/**
	 * Class to render the Preloader HTML.
	 */
	class Preloader {

		/**
		 * Output the Ball Scale Multiple Preloader markup.
		 */
		public function ball_scale_multiple_render() {
			ob_start();
			?>
			<div class="theme-preloader">
				<div class="ball-scale-multiple">
					<div></div>
					<div></div>
					<div></div>
				</div>
			</div>
			<?php
			return ob_get_clean();
		}

		/**
		 * Output the Ball Scale Pulse Preloader markup.
		 */
		public function ball_grid_pulse_render() {
			ob_start();
			?>
			<div class="theme-preloader">
				<div class="ball-grid-pulse">
					<div></div>
					<div></div>
					<div></div>
					<div></div>
					<div></div>
					<div></div>
					<div></div>
					<div></div>
					<div></div>
				</div>
			</div>
			<?php
			return ob_get_clean();
		}

		/**
		 * Output the Ball Clip Rotate Multiple Preloader markup.
		 */
		public function ball_clip_rotate_multiple_render() {
			ob_start();
			?>
			<div class="theme-preloader">
				<div class="ball-clip-rotate-multiple">
					<div></div>
					<div></div>
				</div>
			</div>
			<?php
			return ob_get_clean();
		}

		/**
		 * Output the Ball Clip Rotate Pulse Preloader markup.
		 */
		public function ball_clip_rotate_pulse_render() {
			ob_start();
			?>
			<div class="theme-preloader">
				<div class="ball-clip-rotate-pulse">
					<div></div>
					<div></div>
				</div>
			</div>
			<?php
			return ob_get_clean();
		}

		/**
		 * Output the Square Spin Preloader markup.
		 */
		public function square_spin_render() {
			ob_start();
			?>
			<div class="theme-preloader">
				<div class="square-spin">
					<div></div>
				</div>
			</div>
			<?php
			return ob_get_clean();
		}

		/**
		 * Output the Scale Pulse Out Preloader markup.
		 */
		public function line_scale_pulse_out_render() {
			ob_start();
			?>
			<div class="theme-preloader">
				<div class="line-scale-pulse-out">
					<div></div>
					<div></div>
					<div></div>
					<div></div>
					<div></div>
				</div>
			</div>
			<?php
			return ob_get_clean();
		}
	}

}
